Menu Close

10.3. 소프트웨어 관리

시스템에서 CodeReady Linux Builder 리포지토리를 사용할 수 없는 경우 libdnf-devel 업그레이드가 실패합니다.

libdnf-devel 패키지가 BaseOS에서 CodeReady Linux Builder 리포지토리로 이동되었습니다. 결과적으로 시스템에서 CodeReady Linux Builder 리포지토리를 사용할 수 없는 경우 libdnf-devel 업그레이드가 실패합니다.

이 문제를 해결하려면 CodeReady Linux Builder 리포지토리를 활성화하거나 업그레이드 전에 libdnf-devel 패키지를 제거하십시오.

(BZ#1960616)

cr_compress_file_with_stat() 는 메모리 누수를 유발할 수 있습니다.

createrepo_c 라이브러리에는 API cr_compress_file_with_stat() 함수가 있습니다. 이 함수는 문자 **dst를 두 번째 매개 변수로 선언합니다. 다른 매개 변수에 따라 cr_compress_file_with_stat()dst 를 입력 매개 변수로 사용하거나 을 사용하여 할당된 문자열을 반환합니다. 이러한 예측할 수 없는 동작으로 인해 dst 콘텐츠가 사용 가능한 시기를 사용자에게 알리지 않으므로 메모리 누수가 발생할 수 있습니다.

이 문제를 해결하기 위해 dst 매개 변수를 입력으로만 사용하는 새로운 API cr_compress_file_with_stat_v2 함수가 추가되었습니다. 문자 *dst 로 선언됩니다. 이렇게 하면 메모리 누수가 방지됩니다.

cr_compress_file_with_stat_v2 함수는 일시적이며 RHEL 8에서만 존재합니다. 나중에 cr_compress_file_with_stat() 가 대신 수정됩니다.

(BZ#1973588)